<!DOCTYPE HTML>
<html lang="en-US">
<head>
	<meta charset="UTF-8">
	<title>单张图片上传并显示缩略图</title>
	<script src="jquery-1.8.3.js" type="text/javascript"></script>
	<script src="jquery.easyui.min.js" type="text/javascript"></script>
	<style type="text/css">
		html,body{font-family:'Microsoft Yahei';}
		h2,h3{text-align: center;}
		table{width:500px;margin:10px auto;border-collapse: collapse;}
		table tr{line-height: 50px;}
		input{width:300px;height: 30px;border-radius: 5px;}
	</style>
</head>
<body>
	<h2>单张图片上传并显示缩略图</h2>
	<h3><span style="color:red;">由于服务器空间有限,此处未开放演示,望谅解.</span></h3>
	<h3><span style="color:green;">(图片大小不超过2m,格式为jpg,png,宽400高300为佳)</span></h3>
	<form action="" method="post" id="post_form">
		<table class="post_table" id="post_table">
			<tbody>
			<tr>
				<td width="100px">图片名称</td>
				<td width="400px"><input type="text" name="Form[name]" value="" class="form-control"></td>
			</tr>
			<tr>
				<td>图片展示</td>
				<td>
					<input type="text" name="Form[img_logo]" id="img_url" value="" readonly="readonly">
					<a href="javascript:void(0)" onclick="img_select()">选择图片</a>
					<img id="img_preview" alt="" height="100px" src="" style="display:none;">
				</td>
			</tr>
			<tr>
				<td rowspan="5">使用说明</td>
				<td rowspan="5">
				本方法主要使用ajax提交,需要用到jQuery Easy Ui里面的form的submit方法,所以在使用的时候需要引入jquery和jquery.easyui这两个js.<br>
				你在实验的时候可能会存在跨域的问题,建议post提交的地址为该域下面的地址.
				</td>
			</tr>
			</tbody>
		</table>
	</form>

	<form id="img_form" method="post" name="img_form" enctype="multipart/form-data">
		<input id="img_file" onchange="return img_upload()" name="file" type="file" style="display:none;">
	</form>
	
	<hr>
	
	<a style="width:500px;margin:10px auto;font-weight:bold;font-size:20px;display:block;" href="img_up_one.zip">==点击下载点击下载===</a>

<script type="text/javascript">
	//图片上传并显示的方法
	function img_select(){ $('#img_file').click(); }
	//ajax异步提交
	function img_upload(){
		if(document.getElementById('img_file').value!=null){
			$('#img_form').form('submit', {		
				type: 'POST',
				url: "/comm/uploadImg",
				success: function(result){
					$('#img_url').val(result);		//图片上传后的地址
					$('#img_preview').css('display','block');		//显示缩略图位置
					$("#img_preview").attr("src",result);			//预览图片方法jquery的方法
				//	document.getElementById('img_preview').src = result;	//预览图片javascript的方法
				//  document.getElementById('img_url').value = result;		//图片上传后的地址
				}
			});
		}
	}
</script>		

</body>
</html>