<?php
/**
 * 功能概述:Yii 框架 
 * 版本信息: DoDoBook---V201410 $
 */
class CommController extends CController{

	//上传图片时的ajax方法
	public function actionUploadImg($cate=''){
		$cate = Yii::app()->request->getParam('cate');		//传入分类
		//step 1 使用$_FILES['file']["error"] 检查错误
		if($_FILES["file"]["error"] > 0){
			switch($_FILES["file"]["error"]) {
				case 1: echo "上传的文件超过了 php.ini 中 upload_max_filesize 选项限制的值<br>"; break;
				case 2: echo "上传文件的大小超过了 HTML 表单中 MAX_FILE_SIZE 选项指定的值"; break;
				case 3: echo "文件只有部分被上传"; break;
				case 4: echo "没有文件被上传"; break;
				default: echo "末知错误";
			}
			exit;
		}
		
		//step 2 使用$_FILES["file"]["size"] 限制大小 单位字节 2M=2000000
		$maxsize=10000000;  //10m大小
		if($_FILES["file"]["size"] > $maxsize ) { 
			echo "上传的文件太大，不能超过{$maxsize}字节";
			exit;
		}

		//step 3 使用$_FILES["file"]["type"]或是文件的扩展名 限制类型 MIME  image/gif  image/png    gif png jpg
		$allowtype=array("png", "gif", "jpg", "jpeg");
		$arr=explode(".", $_FILES["file"]["name"]);
		$hz=strtolower($arr[count($arr)-1]);
		if(!in_array($hz, $allowtype)){
			echo "这是不充许的类型";
			exit;
		}
		
		//step 4 将让传后的文件名改名
		$filepath = "upload/".date('Ymd');
		if(!is_dir($filepath)) { mkdir($filepath, 0777); chmod($filepath, 0777);}
		$randname = date("Y").date("m").date("d").date("H").date("i").date("s").rand(1000, 9999).".".$hz;

		//将临时位置的文件移动到指定的目录上即可
		if(is_uploaded_file($_FILES["file"]["tmp_name"])){
			if(move_uploaded_file($_FILES["file"]["tmp_name"], $filepath.'/'.$randname)){
				echo '/'.$filepath.'/'.$randname;		//上传成功的节奏
			}else{
				echo "上传失败";
			}
		}else{
			echo "不是一个上传文件";
		}
	}
}
